org.eclipse.jgit.api.errors

## Class JGitInternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.api.errors.JGitInternalException

All Implemented Interfaces:
  Serializable

    public class JGitInternalException
    extends RuntimeException

Exception thrown when during command execution a low-level exception from the JGit library is thrown. Also when certain low-level error situations are reported by JGit through return codes this Exception will be thrown.

During command execution a lot of exceptions may be thrown. Some of them represent error situations which can be handled specifically by the caller of the command. But a lot of exceptions are so low-level that is is unlikely that the caller of the command can handle them effectively. The huge number of these low-level exceptions which are thrown by the commands lead to a complicated and wide interface of the commands. Callers of the API have to deal with a lot of exceptions they don't understand.

To overcome this situation this class was introduced. Commands will wrap all exceptions they declare as low-level in their context into an instance of this class. Callers of the commands have to deal with one type of low-level exceptions. Callers will always get access to the original exception (if available) by calling `#getCause()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JGitInternalException(String message)` Construct an exception for low-level internal exceptions
`JGitInternalException(String message, Throwable cause)` Construct an exception for low-level internal exceptions

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JGitInternalException

    public JGitInternalException(String message,
                         Throwable cause)

Construct an exception for low-level internal exceptions

Parameters:
  `message` -
  `cause` -

#### JGitInternalException

    public JGitInternalException(String message)

Construct an exception for low-level internal exceptions

Parameters:
  `message` -